Loading...
Searching...
No Matches
Time Handling

OS-independent timing functions and types for the su library. More...

## Files

file | su_time.h
| Time types and functions.

## Macros

#define | NTP_EPOCH
| Seconds from 1.1.1900 to 1.1.1970.

## Detailed Description

OS-independent timing functions and types for the su library.

The su library provides three different time formats with different ranges and epochs in <sofia-sip/su_time.h>:

- su_time_t, second and microsecond as 32-bit values since 1900,
- su_duration_t, milliseconds between two times, and
- su_ntp_t, standard NTP timestamp (seconds since 1900 as a fixed-point 64-bit value with 32 bits representing subsecond value).

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.